LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Slackware 14-64 Apache AuthzLDAPAuthoritative Invalid Command. (http://www.linuxquestions.org/questions/slackware-14/slackware-14-64-apache-authzldapauthoritative-invalid-command-4175451808/)

coldbeer 02-26-2013 02:47 PM

Slackware 14-64 Apache AuthzLDAPAuthoritative Invalid Command.
 
Going from 13.37 64 with Ldap working fine to 14.0 64 I get:

Invalid command 'AuthzLDAPAuthoritative', perhaps misspelled or defined by a module not included in the server configuration.

I've uncommented every module in the httpd.conf file. Still the error on startup of apache.

This

Code:

<Location  "/adtest">
AuthzLDAPAuthoritative on
AuthType basic
AuthName "Enter your ID:"
AuthBasicProvider ldap
AuthLDAPURL "ldap://mydomain.net:3268/dc=mycompany,dc=net?sAMAccountName?sub?(&(objectCategory=*)(objectClass=user))"
Require valid-user
AuthLDAPBindDN 'bind account'
AuthLDAPBindPassword password
</Location>

I saw some discussion about a apache 2.4.3 bug where it needs to be compiled with certain options. Is this the issue? Can someone post the details w/regards to slackware 14.0 if this is the case?

Mike_M 02-26-2013 03:06 PM

I don't know where you read this is a bug. There were some directive changes between httpd 2.2 and httpd 2.4, and the removal of AuthzLDAPAuthoritative was one of those changes.

You can read about it here: http://httpd.apache.org/docs/2.4/upg....html#run-time

coldbeer 02-27-2013 07:43 AM

Oh, ok. I got caught on a detour on that one. Thanks for setting me on the right path. :)

Have a great day!


All times are GMT -5. The time now is 04:24 PM.